Index: /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histLES_lmdz.xml
===================================================================
--- /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histLES_lmdz.xml	(revision 3309)
+++ /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histLES_lmdz.xml	(revision 3310)
@@ -81,12 +81,12 @@
                 <field field_ref="SWdnTOAclr" level="10" />
                 <field field_ref="nettop" level="10" />
-                <field field_ref="SWup200" level="10" />
-                <field field_ref="SWup200clr" level="10" />
-                <field field_ref="SWdn200" level="10" />
-                <field field_ref="SWdn200clr" level="10" />
-                <field field_ref="LWup200" level="10" />
-                <field field_ref="LWup200clr" level="10" />
-                <field field_ref="LWdn200" level="10" />
-                <field field_ref="LWdn200clr" level="10" />
+                <field field_ref="SWup200" level="15" />
+                <field field_ref="SWup200clr" level="15" />
+                <field field_ref="SWdn200" level="15" />
+                <field field_ref="SWdn200clr" level="15" />
+                <field field_ref="LWup200" level="15" />
+                <field field_ref="LWup200clr" level="15" />
+                <field field_ref="LWdn200" level="15" />
+                <field field_ref="LWdn200clr" level="15" />
                 <field field_ref="sols" level="10" />
                 <field field_ref="sols0" level="10" />
Index: /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histday_lmdz.xml
===================================================================
--- /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histday_lmdz.xml	(revision 3309)
+++ /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histday_lmdz.xml	(revision 3310)
@@ -85,12 +85,12 @@
                 <field field_ref="SWdnTOAclr" level="4" />
                 <field field_ref="nettop" level="4" />
-                <field field_ref="SWup200" level="10" />
-                <field field_ref="SWup200clr" level="1" />
-                <field field_ref="SWdn200" level="10" />
-                <field field_ref="SWdn200clr" level="1" />
-                <field field_ref="LWup200" level="10" />
-                <field field_ref="LWup200clr" level="10" />
-                <field field_ref="LWdn200" level="10" />
-                <field field_ref="LWdn200clr" level="10" />
+                <field field_ref="SWup200" level="15" />
+                <field field_ref="SWup200clr" level="15" />
+                <field field_ref="SWdn200" level="15" />
+                <field field_ref="SWdn200clr" level="15" />
+                <field field_ref="LWup200" level="15" />
+                <field field_ref="LWup200clr" level="15" />
+                <field field_ref="LWdn200" level="15" />
+                <field field_ref="LWdn200clr" level="15" />
                 <field field_ref="sols" level="1" />
                 <field field_ref="sols0" level="5" />
Index: /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histhf_lmdz.xml
===================================================================
--- /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histhf_lmdz.xml	(revision 3309)
+++ /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histhf_lmdz.xml	(revision 3310)
@@ -85,12 +85,12 @@
                 <field field_ref="SWdnTOAclr" level="10" />
                 <field field_ref="nettop" level="10" />
-                <field field_ref="SWup200" level="10" />
-                <field field_ref="SWup200clr" level="10" />
-                <field field_ref="SWdn200" level="10" />
-                <field field_ref="SWdn200clr" level="10" />
-                <field field_ref="LWup200" level="10" />
-                <field field_ref="LWup200clr" level="10" />
-                <field field_ref="LWdn200" level="10" />
-                <field field_ref="LWdn200clr" level="10" />
+                <field field_ref="SWup200" level="15" />
+                <field field_ref="SWup200clr" level="15" />
+                <field field_ref="SWdn200" level="15" />
+                <field field_ref="SWdn200clr" level="15" />
+                <field field_ref="LWup200" level="15" />
+                <field field_ref="LWup200clr" level="15" />
+                <field field_ref="LWdn200" level="15" />
+                <field field_ref="LWdn200clr" level="15" />
                 <field field_ref="sols" level="10" />
                 <field field_ref="sols0" level="10" />
Index: /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histins_lmdz.xml
===================================================================
--- /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histins_lmdz.xml	(revision 3309)
+++ /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histins_lmdz.xml	(revision 3310)
@@ -81,12 +81,12 @@
                 <field field_ref="SWdnTOAclr" level="10" />
                 <field field_ref="nettop" level="10" />
-                <field field_ref="SWup200" level="10" />
-                <field field_ref="SWup200clr" level="10" />
-                <field field_ref="SWdn200" level="10" />
-                <field field_ref="SWdn200clr" level="10" />
-                <field field_ref="LWup200" level="10" />
-                <field field_ref="LWup200clr" level="10" />
-                <field field_ref="LWdn200" level="10" />
-                <field field_ref="LWdn200clr" level="10" />
+                <field field_ref="SWup200" level="15" />
+                <field field_ref="SWup200clr" level="15" />
+                <field field_ref="SWdn200" level="15" />
+                <field field_ref="SWdn200clr" level="15" />
+                <field field_ref="LWup200" level="15" />
+                <field field_ref="LWup200clr" level="15" />
+                <field field_ref="LWdn200" level="15" />
+                <field field_ref="LWdn200clr" level="15" />
                 <field field_ref="sols" level="10" />
                 <field field_ref="sols0" level="10" />
Index: /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histmth_lmdz.xml
===================================================================
--- /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histmth_lmdz.xml	(revision 3309)
+++ /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histmth_lmdz.xml	(revision 3310)
@@ -118,12 +118,12 @@
                 <field field_ref="SWdnTOAclr"   level="1" />
                 <field field_ref="nettop"       level="1" />
-                <field field_ref="SWup200"      level="1" />
-                <field field_ref="SWup200clr"   level="10" />
-                <field field_ref="SWdn200"      level="1" />
-                <field field_ref="SWdn200clr"   level="10" />
-                <field field_ref="LWup200"      level="1" />
-                <field field_ref="LWup200clr"   level="1" />
-                <field field_ref="LWdn200"      level="1" />
-                <field field_ref="LWdn200clr"   level="1" />
+                <field field_ref="SWup200"      level="15" />
+                <field field_ref="SWup200clr"   level="15" />
+                <field field_ref="SWdn200"      level="15" />
+                <field field_ref="SWdn200clr"   level="15" />
+                <field field_ref="LWup200"      level="15" />
+                <field field_ref="LWup200clr"   level="15" />
+                <field field_ref="LWdn200"      level="15" />
+                <field field_ref="LWdn200clr"   level="15" />
                 <field field_ref="sols"  level="1" />
                 <field field_ref="sols0" level="1" />
@@ -476,4 +476,5 @@
                 <field field_ref="ftime_con" level="4" operation="instant" />
                 <field field_ref="wake_h" level="4" />
+                <field field_ref="wake_dens" level="4" />
                 <field field_ref="wake_s" level="4" />
                 <field field_ref="epmax" level="2" />
Index: /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histstn_lmdz.xml
===================================================================
--- /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histstn_lmdz.xml	(revision 3309)
+++ /LMDZ6/branches/IPSLCM6.0.15/DefLists/file_def_histstn_lmdz.xml	(revision 3310)
@@ -81,12 +81,12 @@
                 <field field_ref="SWdnTOAclr" level="10" />
                 <field field_ref="nettop" level="10" />
-                <field field_ref="SWup200" level="10" />
-                <field field_ref="SWup200clr" level="10" />
-                <field field_ref="SWdn200" level="10" />
-                <field field_ref="SWdn200clr" level="10" />
-                <field field_ref="LWup200" level="10" />
-                <field field_ref="LWup200clr" level="10" />
-                <field field_ref="LWdn200" level="10" />
-                <field field_ref="LWdn200clr" level="10" />
+                <field field_ref="SWup200" level="15" />
+                <field field_ref="SWup200clr" level="15" />
+                <field field_ref="SWdn200" level="15" />
+                <field field_ref="SWdn200clr" level="15" />
+                <field field_ref="LWup200" level="15" />
+                <field field_ref="LWup200clr" level="15" />
+                <field field_ref="LWdn200" level="15" />
+                <field field_ref="LWdn200clr" level="15" />
                 <field field_ref="sols" level="10" />
                 <field field_ref="sols0" level="10" />
Index: /LMDZ6/branches/IPSLCM6.0.15/DefLists/output.def
===================================================================
--- /LMDZ6/branches/IPSLCM6.0.15/DefLists/output.def	(revision 3309)
+++ /LMDZ6/branches/IPSLCM6.0.15/DefLists/output.def	(revision 3310)
@@ -133,26 +133,26 @@
 name_SWdnTOAclr   =  SWdnTOAclr
 # SWup at 200hPa
-flag_SWup200      =  1, 10, 10, 10, 10    
+flag_SWup200      =  15, 15, 15, 15, 15    
 name_SWup200      =  SWup200
 # CR SWup at 200hPa
-flag_SWup200clr   =  10, 1, 10, 10, 10    
+flag_SWup200clr   =  15, 15, 15, 15, 15
 name_SWup200clr   =  SWup200clr
 # SWdn at 200hPa
-flag_SWdn200      =  1, 10, 10, 10, 10    
+flag_SWdn200      =  15, 15, 15, 15, 15
 name_SWdn200      =  SWdn200
 # CR SWdn at 200hPa
-flag_SWdn200clr   =  10, 1, 10, 10, 10    
+flag_SWdn200clr   =  15, 15, 15, 15, 15
 name_SWdn200clr   =  SWdn200clr
 # LWup at 200mb
-flag_LWup200      =  1, 10, 10, 10, 10    
+flag_LWup200      =  15, 15, 15, 15, 15
 name_LWup200      =  LWup200
 # CR LWup at 200mb
-flag_LWup200clr   =  1, 10, 10, 10, 10    
+flag_LWup200clr   =  15, 15, 15, 15, 15
 name_LWup200clr   =  LWup200clr
 # LWdn at 200mb
-flag_LWdn200      =  1, 10, 10, 10, 10    
+flag_LWdn200      =  15, 15, 15, 15, 15
 name_LWdn200      =  LWdn200
 # CR LWdn at 200mb
-flag_LWdn200clr   =  1, 10, 10, 10, 10    
+flag_LWdn200clr   =  15, 15, 15, 15, 15
 name_LWdn200clr   =  LWdn200clr
 # Solar rad. at surf