Index: LMDZ5/branches/IPSLCM5A2.1/libf/dynphy_lonlat/phylmd/etat0phys_netcdf.F90
===================================================================
--- LMDZ5/branches/IPSLCM5A2.1/libf/dynphy_lonlat/phylmd/etat0phys_netcdf.F90	(revision 3230)
+++ LMDZ5/branches/IPSLCM5A2.1/libf/dynphy_lonlat/phylmd/etat0phys_netcdf.F90	(revision 3340)
@@ -108,5 +108,6 @@
   INTEGER :: iflag_radia, iflag_cldcon, iflag_ratqs
   REAL    :: ratqsbas, ratqshaut, tau_ratqs
-  LOGICAL :: ok_ade, ok_aie, ok_cdnc, aerosol_couple
+  LOGICAL :: ok_ade, ok_aie, ok_cdnc
+  LOGICAL :: aerosol_couple, chemistry_couple
   INTEGER :: flag_aerosol
   INTEGER :: flag_aerosol_strat
@@ -123,14 +124,14 @@
 ! Physics configuration
 !*******************************************************************************
-  CALL conf_phys(  ok_journe, ok_mensuel, ok_instan, ok_hf, ok_LES,     &
-                   callstats,                                           &
-                   solarlong0,seuil_inversion,                          &
-                   fact_cldcon, facttemps,ok_newmicro,iflag_radia,      &
-                   iflag_cldcon,                                        &
-                   iflag_ratqs,ratqsbas,ratqshaut,tau_ratqs,            &
-                   ok_ade, ok_aie, ok_cdnc, aerosol_couple,             &
-                   flag_aerosol, flag_aerosol_strat, new_aod,           &
-                   bl95_b0, bl95_b1,                                    &
-                   read_climoz,                                         &
+  CALL conf_phys(  ok_journe, ok_mensuel, ok_instan, ok_hf, ok_LES,           &
+                   callstats,                                                 &
+                   solarlong0,seuil_inversion,                                &
+                   fact_cldcon, facttemps,ok_newmicro,iflag_radia,            &
+                   iflag_cldcon,                                              &
+                   iflag_ratqs,ratqsbas,ratqshaut,tau_ratqs,                  &
+                   ok_ade, ok_aie, ok_cdnc, aerosol_couple, chemistry_couple  &
+                   flag_aerosol, flag_aerosol_strat, new_aod,                 &
+                   bl95_b0, bl95_b1,                                          &
+                   read_climoz,                                               &
                    alp_offset)
   CALL phys_state_var_init(read_climoz)
Index: LMDZ5/branches/IPSLCM5A2.1/libf/phylmd/conf_phys_m.F90
===================================================================
--- LMDZ5/branches/IPSLCM5A2.1/libf/phylmd/conf_phys_m.F90	(revision 3230)
+++ LMDZ5/branches/IPSLCM5A2.1/libf/phylmd/conf_phys_m.F90	(revision 3340)
@@ -17,5 +17,5 @@
        iflag_cld_th, &
        iflag_ratqs,ratqsbas,ratqshaut,tau_ratqs, &
-       ok_ade, ok_aie, ok_cdnc, aerosol_couple, &
+       ok_ade, ok_aie, ok_cdnc, aerosol_couple, chemistry_couple,  &
        flag_aerosol, flag_aerosol_strat, new_aod, &
        bl95_b0, bl95_b1,&
@@ -74,5 +74,6 @@
     logical              :: ok_LES
     LOGICAL              :: callstats
-    LOGICAL              :: ok_ade, ok_aie, ok_cdnc, aerosol_couple
+    LOGICAL              :: ok_ade, ok_aie, ok_cdnc
+    LOGICAL              :: aerosol_couple, chemistry_couple
     INTEGER              :: flag_aerosol
     INTEGER              :: flag_aerosol_strat
@@ -92,5 +93,6 @@
     logical,SAVE        :: ok_LES_omp   
     LOGICAL,SAVE        :: callstats_omp
-    LOGICAL,SAVE        :: ok_ade_omp, ok_aie_omp, ok_cdnc_omp, aerosol_couple_omp
+    LOGICAL,SAVE        :: ok_ade_omp, ok_aie_omp, ok_cdnc_omp
+    LOGICAL, SAVE       :: aerosol_couple_omp, chemistry_couple_omp
     INTEGER, SAVE       :: flag_aerosol_omp
     INTEGER, SAVE       :: flag_aerosol_strat_omp
@@ -370,4 +372,12 @@
     aerosol_couple_omp = .false.
     CALL getin('aerosol_couple',aerosol_couple_omp)
+    !
+    !Config Key  = chemistry_couple
+    !Config Desc = read chemistry in file or calcul by inca
+    !Config Def  = .FALSE.
+    !Config Help = Used in physiq.F
+    !
+    chemistry_couple_omp = .FALSE.
+    CALL getin('chemistry_couple',chemistry_couple_omp)
     !
     !Config Key  = flag_aerosol
@@ -2134,4 +2144,5 @@
     ok_cdnc = ok_cdnc_omp
     aerosol_couple = aerosol_couple_omp
+    chemistry_couple = chemistry_couple_omp
     flag_aerosol=flag_aerosol_omp
     flag_aerosol_strat=flag_aerosol_strat_omp
@@ -2307,4 +2318,10 @@
        CALL abort_physic('conf_phys', 'flag_aerosol cannot be to zero if ok_cdnc is activated ', 1)
     ENDIF
+
+    ! Read_climoz need to be zero if we are in couple mode for chemistry 
+    IF (chemistry_couple .AND. read_climoz .ne. 0) THEN 
+       CALL abort_physic('conf_phys', 'read_climoz need to be to zero if chemistry_couple=y ', 1) 
+    ENDIF
+
 
     ! ok_cdnc must be set to y if ok_aie is activated
@@ -2417,4 +2434,5 @@
     write(lunout,*)' ok_aie = ',ok_aie
     write(lunout,*)' aerosol_couple = ', aerosol_couple
+    write(lunout,*)' chemistry_couple = ', chemistry_couple
     write(lunout,*)' flag_aerosol = ', flag_aerosol
     write(lunout,*)' flag_aerosol_strat = ', flag_aerosol_strat
Index: LMDZ5/branches/IPSLCM5A2.1/libf/phylmd/physiq_mod.F90
===================================================================
--- LMDZ5/branches/IPSLCM5A2.1/libf/phylmd/physiq_mod.F90	(revision 3230)
+++ LMDZ5/branches/IPSLCM5A2.1/libf/phylmd/physiq_mod.F90	(revision 3340)
@@ -983,4 +983,6 @@
     ! false : lecture des aerosol dans un fichier
     !$OMP THREADPRIVATE(aerosol_couple)    
+    LOGICAL, SAVE :: chemistry_couple ! true  : use INCA chemistry O3 / false : use offline chemistry O3
+    !$OMP THREADPRIVATE(chemistry_couple)    
     INTEGER, SAVE :: flag_aerosol 
     !$OMP THREADPRIVATE(flag_aerosol) 
@@ -1142,5 +1144,5 @@
             fact_cldcon, facttemps,ok_newmicro,iflag_radia, &
             iflag_cld_th,iflag_ratqs,ratqsbas,ratqshaut,tau_ratqs, &
-            ok_ade, ok_aie, ok_cdnc, aerosol_couple,  &
+            ok_ade, ok_aie, ok_cdnc, aerosol_couple, chemistry_couple,  &
             flag_aerosol, flag_aerosol_strat, new_aod, &
             bl95_b0, bl95_b1, &
@@ -1588,5 +1590,6 @@
                date0, &
                io_lon, &
-               io_lat)
+               io_lat, &
+               chemistry_couple)
 
           CALL VTe(VTinca)
@@ -3755,5 +3758,5 @@
 #ifdef INCA
           CALL radlwsw_inca  &
-               (kdlon,kflev,dist, rmu0, fract, solaire, &
+               (chemistry_couple, kdlon,kflev,dist, rmu0, fract, solaire, &
                paprs, pplay,zxtsol,albsol1, albsol2, t_seri,q_seri, &
                size(wo,3), wo(:, :, 1), &