Index: LMDZ6/trunk/libf/phylmd/cosp2/cosp_read_otputkeys.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/cosp2/cosp_read_otputkeys.F90	(revision 3360)
+++ LMDZ6/trunk/libf/phylmd/cosp2/cosp_read_otputkeys.F90	(revision 3364)
@@ -35,4 +35,5 @@
    cfg%Llidar_sim=.false.
    cfg%Lradar_sim=.false.
+   cfg%Lparasol_sim=.false.
    cfg%Lisccp_sim=.false.
    cfg%Lmodis_sim=.false.
@@ -237,5 +238,5 @@
   integer :: i, itap
 
- logical, save :: Lradar_sim,Llidar_sim,Lisccp_sim,Lmodis_sim,Lmisr_sim,Lrttov_sim, Lstats, &
+ logical, save :: Lradar_sim,Llidar_sim,Lparasol_sim,Lisccp_sim,Lmodis_sim,Lmisr_sim,Lrttov_sim, Lstats, &
              Lalbisccp,Latb532,Lboxptopisccp,Lboxtauisccp,LcfadDbze94, &
              LcfadLidarsr532,Lclcalipso2,Lclcalipso,Lclhcalipso,Lclisccp,Lcllcalipso, &
@@ -255,5 +256,5 @@
              LprofSR,Lproftemp                                                                        !TIBO (2)
 
-  namelist/COSP_OUTPUT/Lradar_sim,Llidar_sim,Lisccp_sim,Lmodis_sim,Lmisr_sim,Lrttov_sim, &
+  namelist/COSP_OUTPUT/Lradar_sim,Llidar_sim,Lparasol_sim,Lisccp_sim,Lmodis_sim,Lmisr_sim,Lrttov_sim, &
              Lalbisccp,Latb532,Lboxptopisccp,Lboxtauisccp,LcfadDbze94, &
              LcfadLidarsr532,Lclcalipso2,Lclcalipso,Lclhcalipso,Lclisccp, &
@@ -285,4 +286,5 @@
   
   CALL bcast(Lradar_sim)
+  CALL bcast(Lparasol_sim)
   CALL bcast(Llidar_sim)
   CALL bcast(Lisccp_sim)
@@ -382,4 +384,8 @@
     Lclcalipso2    = .false. ! Needs radar & lidar
   endif
+
+  if (.not.Lparasol_sim) then
+   LparasolRefl   = .false.
+  endif 
 
   if (.not.Llidar_sim) then
@@ -757,5 +763,5 @@
 #ifdef CPP_XIOS
 
- logical :: Lradar_sim,Llidar_sim,Lisccp_sim,Lmodis_sim,Lmisr_sim,Lrttov_sim, Lstats, &
+ logical :: Lradar_sim,Llidar_sim,Lparasol_sim,Lisccp_sim,Lmodis_sim,Lmisr_sim,Lrttov_sim, Lstats, &
              Lalbisccp,Latb532,Lboxptopisccp,Lboxtauisccp,LcfadDbze94, &
              LcfadLidarsr532,Lclcalipso2,Lclcalipso,Lclhcalipso,Lclisccp,Lcllcalipso, &
@@ -863,4 +869,5 @@
     Lradar_sim=.false.
     Llidar_sim=.false.
+    Lparasol_sim=.false.
     Lisccp_sim=.false.
     Lmodis_sim=.false.
@@ -987,5 +994,4 @@
        xios_field_is_active("clcalipsotmpliq").OR. &
        xios_field_is_active("clcalipsotmpun").OR. &
-       xios_field_is_active("parasol_refl").OR. &
        xios_field_is_active("cfad_lidarsr532").OR. &
        xios_field_is_active("atb532").OR. &
@@ -1000,4 +1006,6 @@
        xios_field_is_active("proftemp").OR. &
        xios_field_is_active("profSR")) Llidar_sim=.TRUE.
+
+    IF (xios_field_is_active("parasol_refl")) Lparasol_sim=.TRUE.
 
     IF (xios_field_is_active("cfadDbze94").OR. &
Index: LMDZ6/trunk/libf/phylmd/cosp2/phys_cosp2.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/cosp2/phys_cosp2.F90	(revision 3360)
+++ LMDZ6/trunk/libf/phylmd/cosp2/phys_cosp2.F90	(revision 3364)
@@ -123,5 +123,5 @@
   integer, save :: Nlevels      ! Number of levels
   Integer :: Nptslmdz,Nlevlmdz ! Nb de points issus de physiq.F
-  integer, save :: Nlr          ! Number of levels in statistical outputs
+  integer, save :: Nlvgrid          ! Number of levels in statistical outputs
   integer, save :: Npoints_it   ! Max number of gridpoints to be processed in one iteration
 !  integer :: i
@@ -183,5 +183,5 @@
 
    namelist/COSP_INPUT/overlap,isccp_topheight,isccp_topheight_direction, &
-              npoints_it,ncolumns,use_vgrid,Nlr,csat_vgrid, &
+              npoints_it,ncolumns,use_vgrid,Nlvgrid,csat_vgrid, &
               radar_freq,surface_radar,use_mie_tables, &
               use_gas_abs,do_ray,melt_lay,k2,Nprmts_max_hydro,Naero,Nprmts_max_aero, &
@@ -215,5 +215,5 @@
     CALL bcast(ncolumns)
     CALL bcast(use_vgrid)
-    CALL bcast(Nlr)
+    CALL bcast(Nlvgrid)
     CALL bcast(csat_vgrid)
     CALL bcast(radar_freq)
@@ -386,6 +386,6 @@
 !+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 !        print *, 'Defining new vertical grid...'
-        call construct_cosp_vgrid(gbx,Nlr,use_vgrid,csat_vgrid,vgrid)
-        print*,'Nlvgrid,use_vgrid,csat_vgrid ',Nlr,use_vgrid,csat_vgrid
+        call construct_cosp_vgrid(gbx,Nlvgrid,use_vgrid,csat_vgrid,vgrid)
+        print*,'Nlvgrid,use_vgrid,csat_vgrid ',Nlvgrid,use_vgrid,csat_vgrid
         print*,'vgrid%z, vgrid%mz ',vgrid%z, vgrid%mz
 !+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++