Index: LMDZ6/branches/DYNAMICO-conv/libf/phylmd/rrtm/aeropt_5wv_rrtm.F90
===================================================================
--- LMDZ6/branches/DYNAMICO-conv/libf/phylmd/rrtm/aeropt_5wv_rrtm.F90	(revision 3356)
+++ LMDZ6/branches/DYNAMICO-conv/libf/phylmd/rrtm/aeropt_5wv_rrtm.F90	(revision 3411)
@@ -381,5 +381,5 @@
      ALLOCATE (aerosol_name(nb_aer)) 
      aerosol_name(1) = id_CIDUSTM_phy
-  ELSEIF (flag_aerosol .EQ. 6 .OR. flag_aerosol .EQ. 7 ) THEN 
+  ELSEIF (flag_aerosol .EQ. 6) THEN 
      nb_aer = 13
      ALLOCATE (aerosol_name(nb_aer)) 
Index: LMDZ6/branches/DYNAMICO-conv/libf/phylmd/rrtm/aeropt_6bands_rrtm.F90
===================================================================
--- LMDZ6/branches/DYNAMICO-conv/libf/phylmd/rrtm/aeropt_6bands_rrtm.F90	(revision 3356)
+++ LMDZ6/branches/DYNAMICO-conv/libf/phylmd/rrtm/aeropt_6bands_rrtm.F90	(revision 3411)
@@ -507,5 +507,5 @@
      ALLOCATE (aerosol_name(nb_aer)) 
      aerosol_name(1) = id_CIDUSTM_phy
-  ELSEIF (flag_aerosol .EQ. 6 .OR. flag_aerosol .EQ. 7 ) THEN 
+  ELSEIF (flag_aerosol .EQ. 6) THEN 
      nb_aer = 13
      ALLOCATE (aerosol_name(nb_aer)) 
Index: LMDZ6/branches/DYNAMICO-conv/libf/phylmd/rrtm/aeropt_lw_rrtm.F90
===================================================================
--- LMDZ6/branches/DYNAMICO-conv/libf/phylmd/rrtm/aeropt_lw_rrtm.F90	(revision 3356)
+++ LMDZ6/branches/DYNAMICO-conv/libf/phylmd/rrtm/aeropt_lw_rrtm.F90	(revision 3411)
@@ -46,5 +46,5 @@
   IF (ok_alw) THEN                                   !--aerosol LW effects
    !
-   IF (flag_aerosol.EQ.5.OR.flag_aerosol.EQ.6.OR.flag_aerosol.EQ.7) THEN  !-Dust
+   IF (flag_aerosol.EQ.5.OR.flag_aerosol.EQ.6) THEN  !-Dust
     !
     zdh(:,:)=pdel(:,:)/(RG*zrho(:,:))      ! m
Index: LMDZ6/branches/DYNAMICO-conv/libf/phylmd/rrtm/readaerosol_optic_rrtm.F90
===================================================================
--- LMDZ6/branches/DYNAMICO-conv/libf/phylmd/rrtm/readaerosol_optic_rrtm.F90	(revision 3356)
+++ LMDZ6/branches/DYNAMICO-conv/libf/phylmd/rrtm/readaerosol_optic_rrtm.F90	(revision 3411)
@@ -173,5 +173,5 @@
      !
      ! Read and interpolate sulfate
-     IF ( flag_aerosol .EQ. 1 .OR. flag_aerosol .EQ. 6 .OR. flag_aerosol .EQ. 7 ) THEN 
+     IF ( flag_aerosol .EQ. 1 .OR. flag_aerosol .EQ. 6 ) THEN 
 
         CALL readaerosol_interp(id_ASSO4M_phy, itap, pdtphys, rjourvrai, debut, pplay, paprs, t_seri, sulfacc, sulfacc_pi,loadso4)
@@ -182,5 +182,5 @@
 
      ! Read and interpolate bcsol and bcins
-     IF ( flag_aerosol .EQ. 2 .OR. flag_aerosol .EQ. 6 .OR. flag_aerosol .EQ. 7 ) THEN 
+     IF ( flag_aerosol .EQ. 2 .OR. flag_aerosol .EQ. 6 ) THEN 
 
         ! Get bc aerosol distribution 
@@ -195,5 +195,5 @@
 
      ! Read and interpolate pomsol and pomins
-     IF ( flag_aerosol .EQ. 3 .OR. flag_aerosol .EQ. 6 .OR. flag_aerosol .EQ. 7 ) THEN
+     IF ( flag_aerosol .EQ. 3 .OR. flag_aerosol .EQ. 6 ) THEN
 
         CALL readaerosol_interp(id_ASPOMM_phy, itap, pdtphys, rjourvrai, debut, pplay, paprs, t_seri, pomsol, pomsol_pi, load_tmp3)
@@ -207,5 +207,5 @@
 
      ! Read and interpolate csssm, ssssm, assssm
-     IF (flag_aerosol .EQ. 4 .OR. flag_aerosol .EQ. 6 .OR. flag_aerosol .EQ. 7 ) THEN 
+     IF (flag_aerosol .EQ. 4 .OR. flag_aerosol .EQ. 6 ) THEN 
 
         CALL readaerosol_interp(id_SSSSM_phy ,itap, pdtphys,rjourvrai, &
@@ -224,5 +224,5 @@
 
      ! Read and interpolate cidustm
-     IF (flag_aerosol .EQ. 5 .OR. flag_aerosol .EQ. 6 .OR. flag_aerosol .EQ. 7 ) THEN 
+     IF (flag_aerosol .EQ. 5 .OR. flag_aerosol .EQ. 6 ) THEN 
 
         CALL readaerosol_interp(id_CIDUSTM_phy, itap, pdtphys, rjourvrai, debut, pplay, paprs, t_seri, cidust, cidust_pi, loaddust) 
@@ -234,5 +234,5 @@
      !
      ! Read and interpolate asno3m, csno3m, cino3m
-     IF (flag_aerosol .EQ. 6 .OR. flag_aerosol .EQ. 7 ) THEN 
+     IF (flag_aerosol .EQ. 6) THEN 
 
         CALL readaerosol_interp(id_ASNO3M_phy, itap, pdtphys, rjourvrai, & 
Index: LMDZ6/branches/DYNAMICO-conv/libf/phylmd/rrtm/recmwf_aero.F90
===================================================================
--- LMDZ6/branches/DYNAMICO-conv/libf/phylmd/rrtm/recmwf_aero.F90	(revision 3356)
+++ LMDZ6/branches/DYNAMICO-conv/libf/phylmd/rrtm/recmwf_aero.F90	(revision 3411)
@@ -24,5 +24,5 @@
 !--end
  & PFLUX,PFLUC,&
- & PFSDN ,PFSUP , PFSCDN , PFSCUP, PFSCCDN, PFSCCUP, PFLCCDN, PFLCCUP,&
+ & PFSDN ,PFSUP , PFSCDN , PFSCUP,&
 !--OB diagnostics
  & PTOPSWADAERO,PSOLSWADAERO,&
@@ -82,5 +82,5 @@
 ! ok_ade---input-L- apply the Aerosol Direct Effect or not?
 ! ok_aie---input-L- apply the Aerosol Indirect Effect or not?
-! flag_aerosol-input-I- aerosol flag from 0 to 7
+! flag_aerosol-input-I- aerosol flag from 0 to 6
 ! flag_aerosol_strat-input-I- use stratospheric aerosols flag (T/F)
 ! PPIZA_NAT  : (KPROMA,KLEV,NSW); Single scattering albedo of natural aerosol
@@ -110,8 +110,4 @@
 ! PFSCDN(KPROMA,KLEV+1)         ; SW clear sky flux down
 ! PFSCUP(KPROMA,KLEV+1)         ; SW clear sky flux up
-! PFSCCDN(KPROMA,KLEV+1)        ; SW clear sky clean (no aerosol) flux down
-! PFSCCUP(KPROMA,KLEV+1)        ; SW clear sky clean (no aerosol) flux up
-! PFLCCDN(KPROMA,KLEV+1)        ; LW clear sky clean (no aerosol) flux down
-! PFLCCUP(KPROMA,KLEV+1)        ; LW clear sky clean (no aerosol) flux up
 
 
@@ -156,5 +152,5 @@
 USE YOERDI   , ONLY : RRAE   ,REPCLC    ,REPH2O
 USE YOMARPHY , ONLY : LRDUST 
-USE phys_output_mod, ONLY : swaerofree_diag, swaero_diag
+USE phys_output_mod, ONLY : swaero_diag
 
 !-----------------------------------------------------------------------
@@ -245,8 +241,4 @@
 REAL(KIND=JPRB)   ,INTENT(OUT)   :: PFSCDN(KPROMA,KLEV+1)  ! SW clear sky flux down
 REAL(KIND=JPRB)   ,INTENT(OUT)   :: PFSCUP(KPROMA,KLEV+1)  ! SW clear sky flux up
-REAL(KIND=JPRB)   ,INTENT(OUT)   :: PFSCCDN(KPROMA,KLEV+1) ! SW clear sky clean (no aerosol) flux down
-REAL(KIND=JPRB)   ,INTENT(OUT)   :: PFSCCUP(KPROMA,KLEV+1) ! SW clear sky clean (no aerosol) flux up
-REAL(KIND=JPRB)   ,INTENT(OUT)   :: PFLCCDN(KPROMA,KLEV+1) ! LW clear sky clean (no aerosol) flux down
-REAL(KIND=JPRB)   ,INTENT(OUT)   :: PFLCCUP(KPROMA,KLEV+1) ! LW clear sky clean (no aerosol) flux up
 
 !     ==== COMPUTED IN RADITE ===
@@ -615,5 +607,6 @@
 
 ! case with no aerosols at all is also computed IF ACTIVEFEEDBACK_ACTIVE is false 
-IF (.not. AEROSOLFEEDBACK_ACTIVE .OR. flag_aerosol .EQ. 0 .OR. swaerofree_diag) THEN    
+!IF (swaero_diag .OR. .not. AEROSOLFEEDBACK_ACTIVE .OR. flag_aerosol .EQ. 0 ) THEN    
+IF (.not. AEROSOLFEEDBACK_ACTIVE .OR. flag_aerosol .EQ. 0 ) THEN    
 
 ! ZERO aerosol effect
@@ -782,13 +775,4 @@
 ENDIF
 
-IF (swaerofree_diag) THEN
-! copy shortwave clear-sky clean (no aerosol) case
-  PFSCCUP(:,:) =   ZFSUP0_AERO(:,:,5)
-  PFSCCDN(:,:) =   ZFSDN0_AERO(:,:,5)
-! copy longwave clear-sky clean (no aerosol) case
-  PFLCCUP(:,:) =   LWUP0_AERO(:,:,5)
-  PFLCCDN(:,:) =   LWDN0_AERO(:,:,5)
-ENDIF
-
 !OB- HERE CHECK WITH MP IF BOTTOM AND TOP INDICES ARE OK !!!!!!!!!!!!!!!!!!
 ! net anthropogenic forcing direct and 1st indirect effect diagnostics
Index: LMDZ6/branches/DYNAMICO-conv/libf/phylmd/rrtm/suecrad.F90
===================================================================
--- LMDZ6/branches/DYNAMICO-conv/libf/phylmd/rrtm/suecrad.F90	(revision 3356)
+++ LMDZ6/branches/DYNAMICO-conv/libf/phylmd/rrtm/suecrad.F90	(revision 3411)
@@ -681,5 +681,5 @@
 !    CALL GSTATS(667,0)     MPL 2.12.08
     IF( NPROC > 1 )THEN
-      stop 'Pas pret pour proc > 1'
+      stop'Pas pret pour proc > 1'
 !     CALL MPL_BROADCAST (RADGRID%NDGLG,MTAGRAD,JPIOMASTER,CDSTRING='SUECRAD:')
     ENDIF
@@ -689,5 +689,5 @@
     ENDIF
     IF( NPROC > 1 )THEN
-      stop 'Pas pret pour proc > 1'
+      stop'Pas pret pour proc > 1'
 !     CALL MPL_BROADCAST (RADGRID%NRGRI(1:RADGRID%NDGLG),MTAGRAD,JPIOMASTER,CDSTRING='SUECRAD:')
     ENDIF
@@ -864,5 +864,5 @@
         WRITE(NULOUT,'("RADGRID,BEGIN")')
         IF( MYPROC /= 1 )THEN
-          stop 'Pas pret pour proc > 1'
+          stop'Pas pret pour proc > 1'
 !         CALL MPL_SEND(RADGRID%NGPTOT,KDEST=NPRCIDS(1),KTAG=1,CDSTRING='SUECRAD.R')
 !         CALL MPL_SEND(ZLATX(1:RADGRID%NGPTOT),KDEST=NPRCIDS(1),KTAG=2,CDSTRING='SUECRAD.R')
@@ -876,5 +876,5 @@
               ENDDO
             ELSE
-              stop 'Pas pret pour proc > 1'
+              stop'Pas pret pour proc > 1'
 !             CALL MPL_RECV(IGPTOT,KSOURCE=NPRCIDS(JROC),KTAG=1,CDSTRING='SUECRAD.M')
 !             CALL MPL_RECV(ZLATX(1:IGPTOT),KSOURCE=NPRCIDS(JROC),KTAG=2,CDSTRING='SUECRAD.M')
@@ -904,5 +904,5 @@
         WRITE(NULOUT,'("MODELGRID,BEGIN")')
         IF( MYPROC /= 1 )THEN
-          stop 'Pas pret pour proc > 1'
+          stop'Pas pret pour proc > 1'
 !         CALL MPL_SEND(NGPTOT,KDEST=NPRCIDS(1),KTAG=1,CDSTRING='SUECRAD')
 !         CALL MPL_SEND(ZLATX(1:NGPTOT),KDEST=NPRCIDS(1),KTAG=2,CDSTRING='SUECRAD')
@@ -917,5 +917,5 @@
               ENDDO
             ELSE
-              stop 'Pas pret pour proc > 1'
+              stop'Pas pret pour proc > 1'
 !             CALL MPL_RECV(IGPTOT,KSOURCE=NPRCIDS(JROC),KTAG=1,CDSTRING='SUECRAD')
 !             CALL MPL_RECV(ZLATX(1:IGPTOT),KSOURCE=NPRCIDS(JROC),KTAG=2,CDSTRING='SUECRAD')
@@ -1166,5 +1166,5 @@
         IWIDE(10)=NAROB1
         IF( MYPROC /= 1 )THEN
-          stop 'Pas pret pour proc > 1'
+          stop'Pas pret pour proc > 1'
 !         CALL MPL_SEND(IWIDE(1:10),KDEST=NPRCIDS(1),KTAG=1,CDSTRING='SUECRAD.W')
         ENDIF
@@ -1172,5 +1172,5 @@
           DO JROC=1,NPROC
             IF( JROC /= MYPROC )THEN
-              stop 'Pas pret pour proc > 1'
+              stop'Pas pret pour proc > 1'
 !             CALL MPL_RECV(IWIDE(1:10),KSOURCE=NPRCIDS(JROC),KTAG=1,CDSTRING='SUECRAD.W')
             ENDIF
Index: LMDZ6/branches/DYNAMICO-conv/libf/phylmd/rrtm/susw15.F90
===================================================================
--- LMDZ6/branches/DYNAMICO-conv/libf/phylmd/rrtm/susw15.F90	(revision 3356)
+++ LMDZ6/branches/DYNAMICO-conv/libf/phylmd/rrtm/susw15.F90	(revision 3411)
@@ -58,8 +58,8 @@
 
 IMPLICIT NONE
-REAL(KIND=JPRB),SAVE   :: ZPDH2O=0.8_JPRB
-REAL(KIND=JPRB),SAVE   :: ZPDUMG=0.75_JPRB
-REAL(KIND=JPRB),SAVE   :: ZPRH2O=30000._JPRB
-REAL(KIND=JPRB),SAVE   :: ZPRUMG=30000._JPRB
+REAL(KIND=JPRB)   :: ZPDH2O=0.8_JPRB
+REAL(KIND=JPRB)   :: ZPDUMG=0.75_JPRB
+REAL(KIND=JPRB)   :: ZPRH2O=30000._JPRB
+REAL(KIND=JPRB)   :: ZPRUMG=30000._JPRB
 
 !$OMP THREADPRIVATE(zpdh2o,zpdumg,zprh2o,zprumg)